function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

function mission:intro()

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_100", tone = "fact"})
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_110"})


  -- If you do not have Clara
	if not hasBuildingWithTag("tag_building_adventurer") then

  -- dialog wesley
   	showDialogueRight({ characterKey = "edwyn", textKey = "mission_anniversary_001_140"})

  -- dialog finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_anniversary_001_150"})

  -- dialog pike
	showDialogueRight({ characterKey = "henry", textKey = "mission_anniversary_001_160"})

  -- dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_170"})
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_180"})

		-- If you have clara
	  	else if hasBuildingWithTag("tag_building_adventurer") then


		-- dialog sita
		showDialogueRight({ characterKey = "jasmine", textKey = "mission_anniversary_001_120"})

		-- Dialog clara
		showDialogueLeft({ characterKey = "clara", textKey = "mission_anniversary_001_130"})

		-- dialog wesley
		showDialogueRight({ characterKey = "edwyn", textKey = "mission_anniversary_001_140"})

		-- dialog finn
		showDialogueLeft({ characterKey = "moppet", textKey = "mission_anniversary_001_150"})

		-- dialog pike
		showDialogueRight({ characterKey = "henry", textKey = "mission_anniversary_001_160"})

		-- dialog keani
		showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_170"})
		showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_180"})

		end

	end
hideDialogue()

fireEventNamed("TKMissionGiveAnniversaryDecoEvent")

end

function mission:outro()

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_200", tone = "fact" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_210"})	
	showDialogueLeft({ characterKey = "keani", textKey = "mission_anniversary_001_220"})		

-- Dialog finn
	showDialogueRight({ characterKey = "moppet", textKey = "mission_anniversary_001_230"})
	hideDialogue()

end
