local lastMillToLevelUpTag

function mission:intro()

	local lastMillToLevelUpEntityId = demandManager("MillInfoManager"):getEntityIdForLastMillToLevelUp()
	lastMillToLevelUpTag = getAlertTagForBuildingWithEntityId(lastMillToLevelUpEntityId)

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_introduction_mill_mastery_info_010", tone = "fact" })
	hideDialogue()

-- Display arrow on last mill that leveled
	showAlertOnBuildingWithTag("arrow", lastMillToLevelUpTag)

-- Show arrow seqeunce on last mill to level up a mastery
    showArrowOnLocatorSequence("locatorId_mill_infoButton")

end

function mission:outro()

-- Hide arrow on last mill that leveled
	hideAlertOnBuildingWithTag("arrow", lastMillToLevelUpTag)

-- Hide arrow seqeunce on last mill to level up a mastery
    hideArrowOnLocatorSequence("locatorId_mill_infoButton")

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_introduction_mill_mastery_info_020", tone = "fact" })
	hideDialogue()

end
